package com.kmall.api.service;

import com.kmall.api.dao.ApiOrderProcessRecordMapper;
import com.kmall.api.dao.ApiOrderRefundMapper;
import com.kmall.api.entity.MallOrderRefund;
import com.kmall.api.entity.OrderProcessRecordEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 订单退款记录表Service实现类
 *
 * @author huangyaqin
 * @email admin@qhdswl.com
 * @date 2018-10-25 17:48:30
 */
@Service
public class ApiOrderRefundService {
    @Autowired
    private ApiOrderRefundMapper orderRefundMapper;

    public MallOrderRefund queryObject(Integer id) {
        return orderRefundMapper.queryObject(id);
    }

    public List<MallOrderRefund> queryList(Map<String, Object> map) {
        return orderRefundMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return orderRefundMapper.queryTotal(map);
    }

    public int save(MallOrderRefund orderRefund) {
        return orderRefundMapper.save(orderRefund);
    }

    public int update(MallOrderRefund orderRefund) {
        return orderRefundMapper.update(orderRefund);
    }
    public MallOrderRefund queryObjectByOrderId(String orderId) {
        return orderRefundMapper.queryObjectByOrderId(orderId);
    }

}
